@import "libs/shared/assets/src/global-style/variable";

.search-interview {
  &__rangeDateTitle {
    font-size: 14px;
    font-weight: 600;
  }
  &__rangeDate {
    width: 100%;
    margin-top: 4px;
    height: 42px;
    border-radius: 8px;
  }
  &__btnGroup {
    margin: 1% 40% auto 40%;
    display: inline;

    .search-btn {
      margin: 2% auto 0 auto;
      width: 10%;
      padding: 2% auto 2% auto;
      font-weight: 700;
      border: none;
      display: flex;
      justify-content: center;
    }

    .expand-btn {
      height: 38px;
      margin: 2% auto 0 auto;
      border-radius: 8px;
      margin-left: 10px;
    }
  }

  &__proposeCheckbox {
    margin-top: 30px;
  }
}

.table-emp {
  margin-top: 10px;
  .ant-table-wrapper {
    ::ng-deep {
      .ant-table {
        .ant-table-thead > tr > td {
          font-weight: 400;
        }
        border-radius: 0.5rem;
        .ant-table-thead > tr > th {
          background: $color-th;
          font-weight: 600;
          color: $color-text-header;
        }

        .ant-table-tbody > tr > td {
          color: $color-text-header;
        }

        .ant-table-tbody > tr.ant-table-row:hover > td {
          background: $hover-table-row;
        }
        tr:hover {
          cursor: pointer;
        }
      }

      .ant-tag-blue {
        background-color: $background-active-status-green;
        color: $active-status-green;
        border-radius: 3px;
      }
      .ant-tag-red {
        background: $background-active-status-red;
        color: $active-status-red;
        border-radius: 3px;
      }
    }
  }
}

::ng-deep .data-table-interview .ant-table-expanded-row-fixed.ng-star-inserted {
  width: 50% !important;
}

.data-table-interview {
  margin-top: 15px;

  .ant-table-cell {
    padding: 8px;
  }
  .parentPos {
    width: 750px;
  }
  .subColumn1 {
    width: 250px;
  }
  .subColumn2 {
    width: 250px;
  }
}
